summaryrefslogtreecommitdiff
path: root/post-apt.d
diff options
context:
space:
mode:
authorJoey Hess <joey@kodama.kitenet.net>2007-11-05 16:28:55 -0500
committerJoey Hess <joey@kodama.kitenet.net>2007-11-05 16:28:55 -0500
commit4fe47e842a6d0462ddf26f4f0fd7641648f6af29 (patch)
tree46fc24fdd110c43c5075d0f10c1ac037963a00cf /post-apt.d
parent357a708e613c83ae35faaa70514a8f4e1179079b (diff)
implement the post-apt hook
Diffstat (limited to 'post-apt.d')
-rwxr-xr-xpost-apt.d/50git-add6
-rwxr-xr-xpost-apt.d/75git-commit10
2 files changed, 16 insertions, 0 deletions
diff --git a/post-apt.d/50git-add b/post-apt.d/50git-add
new file mode 100755
index 0000000..903e5aa
--- /dev/null
+++ b/post-apt.d/50git-add
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -e
+cd /etc
+if ! git-add .; then
+ echo "etckeeper warning: git-add failed" >&2
+fi
diff --git a/post-apt.d/75git-commit b/post-apt.d/75git-commit
new file mode 100755
index 0000000..0a84fbd
--- /dev/null
+++ b/post-apt.d/75git-commit
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+
+# TODO: figure out what packages were acted on by the apt run, and include
+# that info in the commit message
+message="committing changes after apt run"
+
+if ! git commit -m "$message"; then
+ echo "etckeeper warning: git-commit failed"
+fi